v2_services_instances_list_retrieve
GET
/api/v2/services/instances/list/
const url = 'https://example.com/api/v2/services/instances/list/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v2/services/instances/list/ \ --header 'X-API-Key: <X-API-Key>'List service instances (VMs). Filter with service_type=vm and compare meta.active_total against numVmLimit to check quota before creating a VM.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”date_from
string format: date-time
date_to
string format: date-time
page
integer
page_size
integer
provider
string
region
string
search
string
service_type
string
sort_by
string
sort_dir
string
status
string
Responses
Section titled “Responses”Media typeapplication/json
object
success
required
boolean
data
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "data": "example", "meta": { "page": 1, "size": 1, "total": 1, "active_total": 1, "total_pages": 1, "has_next": true, "has_prev": true, "sort_by": "example", "sort_dir": "example" }, "msg": { "msg_kind": "example", "msg_text": "example" }, "error": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}